org.eclipse.emf.compare.ide.ui.internal.handler

## Class EMFComparisonSourceActionHandler

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.core.commands.AbstractHandler
    - - org.eclipse.emf.compare.ide.ui.internal.handler.EMFComparisonSourceActionHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

    public class EMFComparisonSourceActionHandler
    extends org.eclipse.core.commands.AbstractHandler

Handles the comparison between selections adapting to `IEMFComparisonSource`s.

### Constructor Summary

Constructors
Constructor and Description
`EMFComparisonSourceActionHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `execute(org.eclipse.core.commands.ExecutionEvent event)`

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EMFComparisonSourceActionHandler

    public EMFComparisonSourceActionHandler()

### Method Detail

#### execute

    public Object execute(org.eclipse.core.commands.ExecutionEvent event)
                   throws org.eclipse.core.commands.ExecutionException

Throws:
  `org.eclipse.core.commands.ExecutionException`